# 32/64bit spec-file
#
Name:			sflphone
Version:		1.3.0
Release:		%mkrel 2
Summary:		SIP/IAX2 compatible enterprise-class software phone
Group:			Networking/Chat
License:		GPLv3
URL:			http://sflphone.org/
Source0:		%{name}-%{version}.tar.xz
Source1:                %{name}.png
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#-----------------------------------------
BuildRequires: gettext
BuildRequires: gettext-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}ccrtp-devel
BuildRequires: %{_lib}commoncpp-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-c++-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}expat1-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gsm-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}opencore-amrnb-devel
BuildRequires: %{_lib}opencore-amrwb-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}opus-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}pcre0-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}samplerate-devel
BuildRequires: %{_lib}sndfile-devel
BuildRequires: %{_lib}speex1-devel
BuildRequires: %{_lib}uuid-devel
BuildRequires: %{_lib}vo-amrwbenc-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}yaml-devel
BuildRequires: %{_lib}zrtpcpp-devel
#-----------------------------------------

%description
SFLphone is a robust standards-compliant enterprise software phone,
for desktop and embedded systems. It is designed to handle 
several hundreds of calls a day. It supports both SIP and IAX2 
protocols.

%prep
%setup -q

%build
pushd daemon
./autogen.sh
pushd libs/pjproject*
./configure --disable-ilbc-codec --disable-sound --disable-video
make dep 
make
popd
%configure --disable-ilbc
make 
popd

pushd gnome
./autogen.sh
%configure
make 
popd

%install
rm -rf %{buildroot}
pushd daemon
%makeinstall_std 
popd
pushd gnome
%makeinstall_std 
popd

install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 %SOURCE1 %{buildroot}%{_datadir}/pixmaps

rm -f %{buildroot}%{_datadir}/pixmaps/%{name}.svg

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF	
[Desktop Entry]
Name=SFLphone
GenericName=VoIP Client
X-GNOME-FullName=SFLphone VoIP Client
Comment=Call and receive calls with SIP or IAX protocols
Exec=%{name}-client-gnome
Icon=%{name}.png
StartupNotify=true
Terminal=false
Type=Application
Categories=Network;Telephony;X-MandrivaLinux-Internet-Chat;
X-Desktop-File-Install-Version=0.21
EOF

%find_lang %{name}-client-gnome 

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null
fi

%post
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null

%preun
if [ "$1" -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null
fi

%files -f %{name}-client-gnome.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_libdir}/%{name}/*
%{_datadir}/glib-2.0/schemas/org.sflphone.SFLphone.gschema.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/org.%{name}.SFLphone.service
%{_mandir}/man1/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/*

%changelog
* Thu Feb 14 2014 bb <bb> 1.3.0-2pclos2014
- clean up BR

* Wed Feb 12 2014 Ken <lxgator at gmail.com> 1.3.0-1pclos2014
- 1.3.0

* Wed Nov 06 2013 billybot <billybot> 1.2.2-3pclos2013
- rebuild for new pcre
